View Issue Details

IDProjectCategoryView StatusLast Update
0000538luatexluatex bugpublic2011-04-12 11:06
ReportervojtaAssigned Tohhenkel 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86_64 and x86_32OSDebian and CentOS LinuxOS Version2.6.35
Product Version0.65.0 
Target VersionFixed in Version0.66.0 
Summary0000538: Assertion fails in dviluatex when font ptmr8t used
DescriptionWhen processing a tex file that uses the ptmr8t font with dviluatex, I get:

dviluatex: ./luatexdir/pdf/pdffont.w:67: output_one_char: Assertion `pdf->o_mode==OMODE_PDF' failed.
Steps To Reproducedviluatex file.dvi

where file.dvi is:

\font\bad = ptmr8t

\bad The quick brown fox jumps over the lazy dog.

\bye
TagsNo tags attached.

Activities

vojta

2010-12-16 07:06

reporter   ~0000712

Oops, I meant to say "dviluatex file.tex" (not file.dvi), where file.tex is the given source file.

hhenkel

2011-04-07 23:16

manager   ~0000773

should be fixed in trunk, svn 4098.
Fix looks a bit too trivial. But stuff forbidden in .dvi, like \pdfliterals and images, should be caught by the backend anyway.

Taco

2011-04-12 11:06

administrator   ~0000816

all fixed in 0.66.0

Issue History

Date Modified Username Field Change
2010-12-15 23:53 vojta New Issue
2010-12-16 07:06 vojta Note Added: 0000712
2010-12-22 14:14 Taco Status new => assigned
2010-12-22 14:14 Taco Assigned To => hhenkel
2011-04-07 23:16 hhenkel Note Added: 0000773
2011-04-11 10:25 Taco Status assigned => resolved
2011-04-11 10:25 Taco Resolution open => fixed
2011-04-12 11:02 Taco Fixed in Version => 0.66.0
2011-04-12 11:06 Taco Note Added: 0000816
2011-04-12 11:06 Taco Status resolved => closed